This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 528042 - segfault when viewing gsl-ref info page
segfault when viewing gsl-ref info page
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-08 13:23 EDT by pankaj pandey
Modified: 2010-06-28 10:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pankaj pandey 2009-10-08 13:23:04 EDT
Description of problem:
I get a consistent segfault in yelp (gnome help viewer) when trying to view the gsl (gnu scientific library) info pages

Version-Release number of selected component (if applicable):
yelp-2.26.0-7.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1.open yelp
2.select "GNU Info Pages" -> "Scientific software" -> "Gsl-ref" (need to have gsl-devel installed for it)
3.observe that yelp segfaults
  
Actual results:
yelp segfaults with the following backtrace in gdb

(gdb) bt
#0  0x0000003467854e04 in g_slice_alloc () from /lib64/libglib-2.0.so.0
#1  0x00000034678357be in g_list_prepend () from /lib64/libglib-2.0.so.0
#2  0x0000003467849051 in g_queue_push_head () from /lib64/libglib-2.0.so.0
#3  0x0000003467814784 in g_async_queue_push_unlocked () from /lib64/libglib-2.0.so.0
#4  0x0000003467814860 in g_async_queue_push () from /lib64/libglib-2.0.so.0
#5  0x000000000041b405 in g_io_channel_unref ()
#6  0x0000003b53c27fb7 in ?? () from /usr/lib64/libxslt.so.1
#7  0x0000003b53c29416 in ?? () from /usr/lib64/libxslt.so.1
#8  0x0000003b53c29c47 in xsltProcessOneNode () from /usr/lib64/libxslt.so.1
#9  0x0000003b53c2a8e1 in xsltApplyTemplates () from /usr/lib64/libxslt.so.1
#10 0x0000003b53c27d8a in ?? () from /usr/lib64/libxslt.so.1
#11 0x0000003b53c29416 in ?? () from /usr/lib64/libxslt.so.1
#12 0x0000003b53c29c47 in xsltProcessOneNode () from /usr/lib64/libxslt.so.1
#13 0x0000003b53c2a8e1 in xsltApplyTemplates () from /usr/lib64/libxslt.so.1
#14 0x0000003b53c27d8a in ?? () from /usr/lib64/libxslt.so.1
#15 0x0000003b53c29416 in ?? () from /usr/lib64/libxslt.so.1
#16 0x0000003b53c29c47 in xsltProcessOneNode () from /usr/lib64/libxslt.so.1
#17 0x0000003b53c2a8e1 in xsltApplyTemplates () from /usr/lib64/libxslt.so.1
#18 0x0000003b53c27d8a in ?? () from /usr/lib64/libxslt.so.1
#19 0x0000003b53c29416 in ?? () from /usr/lib64/libxslt.so.1
#20 0x0000003b53c29c47 in xsltProcessOneNode () from /usr/lib64/libxslt.so.1
#21 0x0000003b53c2a20d in xsltProcessOneNode () from /usr/lib64/libxslt.so.1
#22 0x0000003b53c2d52a in ?? () from /usr/lib64/libxslt.so.1
#23 0x000000000041b1cd in g_io_channel_unref ()
#24 0x00000034678606b4 in ?? () from /lib64/libglib-2.0.so.0
#25 0x0000003bfe80686a in start_thread () from /lib64/libpthread.so.0
#26 0x0000003bfdcde3bd in clone () from /lib64/libc.so.6
#27 0x0000000000000000 in ?? ()


Expected results:
The GSL info pages should display normally

Additional info:
Fully update fedora 11
$ uname -a
Linux localhost.localdomain 2.6.30.8-64.fc11.x86_64 #1 SMP Fri Sep 25 04:43:32 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Bug Zapper 2010-04-28 06:45:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 10:58:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.